Subject: RE: [Tsvwg] Redundant TCP connection

From: "Jean-Marc Fenart" <[email-masked]>
Date: Mon, 24 Feb 2003 11:58:56 +0100

As far as I undertand SCTP multi-homing is dealing more with transport links
redundancy, e.g. multiple links to the same node. 

An issue is the active/standby mode of an SCTP association between different
nodes/memories. This would help for instance 5*9 call control nodes where an
SCTP endpoint can be a single point of failure. Alternative is
transaction/re-establish/.. at application level on top.
UDP enables some level of tranport layer transparency between active and
standy endpoints by performing on the standby node and aliasing of the
failed node IP at failover time. Nevertheless, the app. have to deal with
lost data...
This *aliasing* is much more complex with a TCP or SCTP transport as many
complex states are maintained by the transport endpoints. 
In SS7, the MTP3/SCCP internal states are classified into transients which
can be loss during an active/standby failover and persistants which have to
be checkpointed between the active and the standby SS7 nodes. This
sub-division makes SS7 active/standby do-able. 
Such transport active/standby mechanism might help for the app. which would
have to deal with their own states and not with the transport layer
redundancy issues.

Jean-Marc Fenart
MIR 212bis
Nortel Networks
Tel  (33) 1 39 44-55 08 (ESN 579)
Fax (33) 1 39 44-50 04 (ESN 579)
email:[email-masked]

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: lundi 24 février 2003 10:20
To: Mudhafar Hassan-Ali
Cc: [email-masked]; Scott Bradner; Allison Mankin; [email-masked];
[email-masked]
Subject: Re: [Tsvwg] Redundant TCP connection

Mudhafar,

Have you looked at SCTP?  Its multi-homed feature will do what you want.

--brian

On Fri, 21 Feb 2003, Mudhafar Hassan-Ali wrote:

> All,
> 
> I am wondering if any one is aware of the feasibility in practice to
> make a redundant TCP connection? This type of connection is needed in a
> redundant system. In such system (call it X), there are two sides, an
> active one and a standby one. Let's say the active one has a TCP
> connection with a piece of equipment Y somewhere in the network. At some
> point, the active fails, which will lead to a protection switch. This
> event will disrupt the TCP connection, which means Y will close its
> connection, and the second side of X need to open the connection also.
> However, my goal is not to disrupt the connection during the side
> switch. So the question is: Is it feasible to make a redundant TCP
> connection, such that the two sides somehow are synchronized (what are
> the parameters needed?). So for a given TCP/IP stack, how feasible and
> practical to do that?
> 
> Any feedback is highly appreciated.
> 
> Best regards,
> Mudhafar Hassan-Ali
> Wireline Access
> Alcatel
> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/tsvwg

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦
_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 24 Feb 2003 05:21:17 -0700

Jean-Marc,

On Mon, 24 Feb 2003, Jean-Marc Fenart wrote:

> 
>    As far as I undertand SCTP multi-homing is dealing more with transport
>    links redundancy, e.g. multiple links to the same node.
> 
>    An  issue  is  the  active/standby mode of an SCTP association between
>    different  nodes/memories.  This  would  help  for  instance  5*9 call
>    control nodes where an SCTP endpoint can be a single point of failure.
>    Alternative  is  transaction/re-establish/..  at  application level on
>    top.
> 
>    UDP  enables  some level of tranport layer transparency between active
>    and standy endpoints by performing on the standby node and aliasing of
>    the  failed  node  IP at failover time. Nevertheless, the app. have to
>    deal with lost data...
> 
>    This  *aliasing*  is much more complex with a TCP or SCTP transport as
>    many complex states are maintained by the transport endpoints.
> 
>    In  SS7,  the MTP3/SCCP internal states are classified into transients
>    which  can  be  loss during an active/standby failover and persistants
>    which  have  to be checkpointed between the active and the standby SS7
>    nodes. This sub-division makes SS7 active/standby do-able.

For this see RFC 3332.

> 
>    Such  transport active/standby mechanism might help for the app. which
>    would  have  to  deal with their own states and not with the transport
>    layer redundancy issues.

If you are interested in multiple hosts, see RSERPOOL.

--brian

>    From: Brian F. G. Bidulock [[1]mailto:[email-masked]]
>    > [2]https://www1.ietf.org/mailman/listinfo/tsvwg
> 
>    --
>    [3]http://www.openss7.org/  ¦ trying  to adapt the  world  to himself.
>    ¦
>    [4]https://www1.ietf.org/mailman/listinfo/tsvwg
> 
> References
> 
>    1. mailto:[email-masked]
>    2. https://www1.ietf.org/mailman/listinfo/tsvwg
>    3. http://www.openss7.org/
>    4. https://www1.ietf.org/mailman/listinfo/tsvwg